Bug 1390937 - mem region issue with aarch64 NUMA host (and potentially other devices)
Summary: mem region issue with aarch64 NUMA host (and potentially other devices)
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Keywords: Reopened
Depends On:
Blocks: ARMTracker F25FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2016-11-02 09:46 UTC by Peter Robinson
Modified: 2017-07-31 18:49 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-08 04:59:01 UTC


Attachments (Terms of Use)

Description Peter Robinson 2016-11-02 09:46:32 UTC
Some hosts are crashing during install due to memory in specific regions being stomped on (or something like that).

Fedora thread:
https://lists.fedoraproject.org/archives/list/arm@lists.fedoraproject.org/thread/MBUUFRQ2RSW2OT4VBN22VDMRF5VTNCU5/

Upstream thread:
https://www.spinics.net/lists/arm-kernel/msg535191.html

Comment 1 Fedora Update System 2016-11-02 10:42:51 UTC
kernel-4.8.6-300.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-01c178cf9b

Comment 2 Fedora Blocker Bugs Application 2016-11-02 10:47:14 UTC
Proposed as a Freeze Exception for 25-final by Fedora user pbrobinson using the blocker tracking app because:

 Issues installing on particular types of aarch64 platforms (NUMA, potentially others). As an AltArch this isn't a blocker but is a exception.

Comment 3 Fedora Update System 2016-11-02 16:54:56 UTC
kernel-4.8.6-300.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-01c178cf9b

Comment 4 Robert Richter 2016-11-02 17:48:57 UTC
(In reply to Fedora Update System from comment #1)
> kernel-4.8.6-300.fc25 has been submitted as an update to Fedora 25.
> https://bodhi.fedoraproject.org/updates/FEDORA-2016-01c178cf9b

I created an aarch64 build from .src.rpm here:

 http://koji.fedoraproject.org/koji/buildinfo?buildID=814228

A dual node ThunderX system boots fine now:

 4.8.6-300.201611020438.fc25.aarch64

Thanks,

-Robert

Comment 5 Fedora Update System 2016-11-03 18:30:37 UTC
kernel-4.8.6-300.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Geoffrey Marr 2016-11-08 01:01:58 UTC
Discussed during the 2016-11-07 blocker review meeting: [1]

The decision was made to classify this bug as an AcceptedFreezeException.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2016-11-07/f25-blocker-review.2016-11-07-17.01.txt

Comment 7 Fedora Update System 2016-11-08 04:59:01 UTC
kernel-4.8.6-300.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Robert Richter 2017-02-14 16:23:20 UTC
Fixed for v4.11:

 f073bdc51771 mm: don't dereference struct page fields of invalid pages
 6d526ee26ccd arm64: mm: enable CONFIG_HOLES_IN_ZONE for NUMA

-Robert

Comment 9 Robert Richter 2017-05-22 15:17:32 UTC
The temporary fix:

 arm64: mm: Fix memmap to be initialized for the entire section

should be reverted in all kernel from 4.11:

Rawhide: a3c290f92009d7c4325e3abbebd277b99b60e707
F26: 67b5ed5428fa24094dc3314060405a47d7c5fb41


Note You need to log in before you can comment on or make changes to this bug.